/*-------------------------------------------------------------------------
 * 功能描述：TypeDefinition
 * 作者：xulisong
 * 创建时间： 2019/6/12 10:12:56
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JBIM
{
    /*
      类型Id范围：[-10000，-19999)
      {Id:"xxxxxx",ElementType:"Connector"}
      //或者硬编码成枚举，或者使用配置文件存储
     */
    /// <summary>
    /// 类型定义
    /// </summary>
    public enum TypeDefinition
    {
        [Description("Connector")]
        BimObject = -10000,
        [Description("Connector")]
        Connector= BimObject-1,
        [Description("Duct")]
        Duct = BimObject - 2,
        [Description("Pipe")]
        Pipe = BimObject - 3,
        [Description("Space")]
        Space = BimObject - 4,
        [Description("MepSystem")]
        MepSystem = BimObject - 5,
        [Description("MepSystemType")]
        MepSystemType = BimObject - 6,
        [Description("BoundarySegment")]
        BoundarySegment = BimObject - 7,
    }
}
